diff --git a/changelog b/changelog
index 52076b8..03731e7 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20110524 tpd src/axiom-website/patches.html 20110523.01.tpd.patch
+20110524 tdt src/input/Makefile bug report regression test
+20110524 tdt src/input/telford.input bug report regression test
+20110524 tdt T. Doug Telford <doug#dougtelford.com>
 20110523 tpd src/axiom-website/patches.html 20110523.01.tpd.patch
 20110523 tpd src/interp/vmlisp.lisp treeshake compiler
 20110523 tpd src/interp/define.lisp treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4e122f9..d17d6dd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3484,5 +3484,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20110523.01.tpd.patch">20110523.01.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20110524.01.tpd.patch">20110524.01.tpd.patch</a>
+T. Doug Telford <doug#dougtelford.com> bug report regression test
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 5145a99..1f3aeb6 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -388,7 +388,8 @@ REGRESSTESTS= ackermann.regress \
     stbl.regress      stream2.regress  stream.regress   streams.regress \
     string.regress    strtbl.regress   summation.regress \
     symbol.regress    t111293.regress  table.regress    tancot.regress \
-    tanhcoth.regress  tanatan.regress  tbagg.regress    test.regress \
+    tanhcoth.regress  tanatan.regress  tbagg.regress    telford.regress \
+    test.regress \
     testprob.regress  textfile.regress torus.regress    tuplebug.regress \
     tpiezas001.regress \
     tpiezas002.regress \
@@ -789,7 +790,8 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/symbol.input \
        ${OUT}/synonym.input  ${OUT}/t111293.input \
        ${OUT}/table.input    ${OUT}/tancot.input     ${OUT}/tanhcoth.input \
-       ${OUT}/tanatan.input  ${OUT}/tbagg.input      ${OUT}/test.input \
+       ${OUT}/tanatan.input  ${OUT}/tbagg.input      ${OUT}/telford.input \
+       ${OUT}/test.input \
        ${OUT}/testprob.input \
        ${OUT}/tetra.input    ${OUT}/textfile.input   ${OUT}/tknot.input \
        ${OUT}/tpiezas001.input \
@@ -1247,7 +1249,7 @@ DOCFILES= \
   ${DOC}/synonym.input.dvi     ${DOC}/t111293.input.dvi    \
   ${DOC}/table.input.dvi       ${DOC}/tanatan.input.dvi    \
   ${DOC}/tancot.input.dvi      ${DOC}/tanhcoth.input.dvi   \
-  ${DOC}/tbagg.input.dvi       \
+  ${DOC}/tbagg.input.dvi       ${DOC}/telford.input.dvi    \
   ${DOC}/test.input.dvi        ${DOC}/tetra.input.dvi      \
   ${DOC}/textfile.input.dvi    ${DOC}/tknot.input.dvi      \
   ${DOC}/torus.input.dvi       ${DOC}/testprob.input.dvi   \
diff --git a/src/input/telford.input.pamphlet b/src/input/telford.input.pamphlet
new file mode 100644
index 0000000..7b3fe26
--- /dev/null
+++ b/src/input/telford.input.pamphlet
@@ -0,0 +1,64 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input telford.input}
+\author{T.Doug Telford}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)spool telford.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 5
+p(0)==1
+--R                                                                   Type: Void
+--E 1
+
+--S 2 of 5
+p(1)==x
+--R                                                                   Type: Void
+--E 2
+
+--S 3 of 5
+p(n)==((2*n-1)*x*p(n-1)-(n-1)*p(n-2))/n
+--R                                                                   Type: Void
+--E 3
+
+--S 4 of 5
+p(10)
+--R   Compiling function p with type Integer -> Polynomial Fraction 
+--R      Integer 
+--R   Compiling function p as a recurrence relation.
+--R
+--R        46189  10   109395  8   45045  6   15015  4   3465  2    63
+--R   (4)  ----- x   - ------ x  + ----- x  - ----- x  + ---- x  - ---
+--R         256          256        128        128        256      256
+--R                                            Type: Polynomial Fraction Integer
+--E 4
+
+--S 5 of 5
+coefficient(p(10),x,10)
+--R
+--R        46189
+--R   (5)  -----
+--R         256
+--R                                            Type: Polynomial Fraction Integer
+--E 5
+
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
